Bug 205662 - Cluster Name vs. Cluster Alias using system-config-cluster
Cluster Name vs. Cluster Alias using system-config-cluster
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: redhat-config-cluster (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ryan McCabe
Cluster QE
Depends On:
  Show dependency treegraph
Reported: 2006-09-07 18:06 EDT by Jeremy Stephens
Modified: 2010-01-22 14:09 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-01-22 14:09:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Cluster Configuration File (707 bytes, application/octet-stream)
2006-09-07 18:06 EDT, Jeremy Stephens
no flags Details

  None (edit)
Description Jeremy Stephens 2006-09-07 18:06:01 EDT
Description of problem:
   When using the system-config-cluster command to create a cluster, if you name
the cluster something other than the default "alpha_cluster" it populates it in
the XML file /etc/cluster/cluster.conf as an alias instead of the name. The
original default Cluster Name "alpha_cluster" is always preserved in the file as
the actual Cluster Name.

Version-Release number of selected component (if applicable):

How reproducible: Everytime

Steps to Reproduce:
1. Shutdown all cluster services on all nodes [rgmanager, gfs, clvmd, fenced,
cman, ccsd].
2. Remove the file /etc/cluster/cluster.conf so that you can create a new
cluster configuration.
3. Run the command system-config-cluster.
4. Create a new Cluster and in the Cluster Properties rename the cluster to
something other then the default "alpha_cluster".
5. Save the configuration, migrate it to all nodes, and restart all cluster
services on all nodes [ccsd, cman, fenced, clvmd, gfs, rgmanager].
6. Run a clustat to make sure that the cluster is working and connected.
7. Run the command system-config-cluster again, this time you will have the
Cluster Management tab since the cluster is working.
8. Verify the Cluster Names are different in the multiple locations and also my
manually viewing the /etc/cluster/cluster.conf file you can see the different
entries name and alias.

Actual results:
The name you choose for the cluster is only populated as an alias. The cluster
name never changes unless you modify the /etc/cluster/cluster.conf file manually.

Expected results:
When you change the name of the cluster it should change the Cluster Name and
not just create an Alias. There should be an additional option to create/modify
the cluster alias. 

Additional info:
This is deceitful when using the system-config-cluster because it doesnt
actually do what its intended. Also it is confusing when setting up cluster
services whether you are supposed to use the Name or the Alias. The application
doesnt even know what the Name is since it displays both in different locations.
Comment 1 Jeremy Stephens 2006-09-07 18:06:01 EDT
Created attachment 135817 [details]
Cluster Configuration File
Comment 3 Jim Parsons 2006-09-26 13:42:58 EDT
The UI now identifies the editable name field as 'Cluster Alias', and
immediately below, displays the 'True Cluster Name' as a non-editable label.
Comment 4 Lon Hohberger 2010-01-22 14:09:55 EST
This is fixed in system-config-cluster-1.0.54-2.0.  I did not check earlier releases.  Not sure why it wasn't closed.

Note You need to log in before you can comment on or make changes to this bug.